Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## things.thinger.io
Enum Logger.TYPE

    java.lang.Object
      java.lang.Enum<Logger.TYPE>
          things.thinger.io.Logger.TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Logger.TYPE>

Enclosing interface:
  Logger

    public static enum Logger.TYPE

extends java.lang.Enum<Logger.TYPE>

Types of loggers. It is up the the implementation to define the actual behavior.
UNDECLARED = Does not matter.
BROADCAST = No delivery guarantees.
RELIABLE = Reliable delivery.

Enum Constant Summary
`BROADCAST`
`RELIABLE`
`UNDECLARED`

Method Summary
`static Logger.TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Logger.TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNDECLARED

    public static final Logger.TYPE UNDECLARED

### BROADCAST

    public static final Logger.TYPE BROADCAST

### RELIABLE

    public static final Logger.TYPE RELIABLE

Method Detail

### values

    public static Logger.TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Logger.TYPE c : Logger.TYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Logger.TYPE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Things.